Loading...
Searching...
No Matches
BALL::VIEW::ClippingPlane Class Reference
Visualisation » Kernel » Geometric primitives and their management

`#include <BALL/VIEW/KERNEL/clippingPlane.h>`

## Public Member Functions

| ClippingPlane ()
| ClippingPlane (const ClippingPlane &plane)
virtual | ~ClippingPlane ()
const ClippingPlane & | operator= (const ClippingPlane &plane)
void | clear ()
bool | operator== (const ClippingPlane &plane) const
HashSet< const Representation * > & | getRepresentations ()
const Vector3 & | getNormal () const
void | setNormal (const Vector3 &normal)
bool | isActive () const
void | setActive (bool state)
bool | isHidden () const
void | setHidden (bool hidden)
float | getDistance () const
const Vector3 & | getPoint () const
void | setPoint (const Vector3 &v)
void | flip ()
bool | cappingEnabled () const
void | setCappingEnabled (bool state)

## Static Public Member Functions

static ColorRGBA & | getCappingColor ()

## Protected Attributes

HashSet< const Representation * > | reps_
Vector3 | normal_
Vector3 | point_
bool | active_
bool | hidden_
bool | cap_

## Static Protected Attributes

static ColorRGBA | capping_color_

## Detailed Description

ClippingPlane

Definition at line 25 of file clippingPlane.h.

## Constructor & Destructor Documentation

## ClippingPlane() [1/2]

BALL::VIEW::ClippingPlane::ClippingPlane | ( |  | ) |

## ClippingPlane() [2/2]

BALL::VIEW::ClippingPlane::ClippingPlane | ( | const ClippingPlane & | plane | ) |

## ~ClippingPlane()

virtual BALL::VIEW::ClippingPlane::~ClippingPlane | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## cappingEnabled()

bool BALL::VIEW::ClippingPlane::cappingEnabled | ( |  | ) | const

inline

Definition at line 86 of file clippingPlane.h.

## clear()

void BALL::VIEW::ClippingPlane::clear | ( |  | ) |

## flip()

void BALL::VIEW::ClippingPlane::flip | ( |  | ) |

inline

Definition at line 80 of file clippingPlane.h.

## getCappingColor()

ColorRGBA & BALL::VIEW::ClippingPlane::getCappingColor | ( |  | ) |

inline static

Definition at line 83 of file clippingPlane.h.

## getDistance()

float BALL::VIEW::ClippingPlane::getDistance | ( |  | ) | const

## getNormal()

const Vector3 & BALL::VIEW::ClippingPlane::getNormal | ( |  | ) | const

inline

Definition at line 53 of file clippingPlane.h.

## getPoint()

const Vector3 & BALL::VIEW::ClippingPlane::getPoint | ( |  | ) | const

inline

Definition at line 74 of file clippingPlane.h.

## getRepresentations()

HashSet< const Representation * > & BALL::VIEW::ClippingPlane::getRepresentations | ( |  | ) |

inline

Definition at line 50 of file clippingPlane.h.

## isActive()

bool BALL::VIEW::ClippingPlane::isActive | ( |  | ) | const

inline

Definition at line 59 of file clippingPlane.h.

## isHidden()

bool BALL::VIEW::ClippingPlane::isHidden | ( |  | ) | const

inline

Definition at line 65 of file clippingPlane.h.

## operator=()

const ClippingPlane & BALL::VIEW::ClippingPlane::operator= | ( | const ClippingPlane & | plane | ) |

## operator==()

bool BALL::VIEW::ClippingPlane::operator== | ( | const ClippingPlane & | plane | ) | const

## setActive()

void BALL::VIEW::ClippingPlane::setActive | ( | bool | state | ) |

inline

Definition at line 62 of file clippingPlane.h.

## setCappingEnabled()

void BALL::VIEW::ClippingPlane::setCappingEnabled | ( | bool | state | ) |

inline

Definition at line 89 of file clippingPlane.h.

## setHidden()

void BALL::VIEW::ClippingPlane::setHidden | ( | bool | hidden | ) |

inline

Definition at line 68 of file clippingPlane.h.

## setNormal()

void BALL::VIEW::ClippingPlane::setNormal | ( | const Vector3 & | normal | ) |

inline

Definition at line 56 of file clippingPlane.h.

## setPoint()

void BALL::VIEW::ClippingPlane::setPoint | ( | const Vector3 & | v | ) |

inline

Definition at line 77 of file clippingPlane.h.

## Member Data Documentation

## active_

bool BALL::VIEW::ClippingPlane::active_

protected

Definition at line 96 of file clippingPlane.h.

## cap_

bool BALL::VIEW::ClippingPlane::cap_

protected

Definition at line 98 of file clippingPlane.h.

## capping_color_

ColorRGBA BALL::VIEW::ClippingPlane::capping_color_

static protected

Definition at line 99 of file clippingPlane.h.

## hidden_

bool BALL::VIEW::ClippingPlane::hidden_

protected

Definition at line 97 of file clippingPlane.h.

## normal_

Vector3 BALL::VIEW::ClippingPlane::normal_

protected

Definition at line 94 of file clippingPlane.h.

## point_

Vector3 BALL::VIEW::ClippingPlane::point_

protected

Definition at line 95 of file clippingPlane.h.

## reps_

HashSet<const Representation*> BALL::VIEW::ClippingPlane::reps_

protected

Definition at line 93 of file clippingPlane.h.